DEBSNAP(1)

NOM
debsnap - Récupérer d'anciennes versions de paquets Debian

SYNOPSIS
debsnap [options] paquet [version]

debsnap [-h | --help] [--version]

DESCRIPTION
debsnap est un outil qui permet de récupérer d'anciens paquets sur un dépôt d'archives journalières.

La seule archive publique disponible se trouve sur http://snapshot.debian.org

Par défaut, debsnap téléchargera toutes les versions du paquet qui sont disponibles dans l'archive. Si une version est indiquée, seule cette version sera téléchargée, si elle est disponible.

OPTIONS
Les options suivantes sont disponibles :

-d destination, --destdir destination
    Répertoire où placer les paquets récupérés.

-f, --force
    Forcer l'écrasement d'une destination existante. Par défaut, debsnap insistera pour que le répertoire de destination n'existe pas, sauf s'il s'agit explicitement de "." (le répertoire de travail en cours). C'est pour éviter que des fichiers soient accidentellement écrasés par ce qui est récupéré de l'archive et pour garantir aux autres scripts que seuls les fichiers récupérés seront présents à la fin.

-v, --verbose
    Faire un compte-rendu sur la configuration de debsnap utilisée et la progression pendant le téléchargement. Veuillez toujours utiliser cette option pour les rapports de bogue.

--list
    Ne pas télécharger, mais afficher seulement la liste des versions.

--binary
    Télécharger les paquets binaires au lieu des paquets source.

-a, --architecture
    Indiquer l'architecture des paquets binaires téléchargés, ce qui implique l'option --binary. Cette option peut être indiquée plusieurs fois afin de télécharger les paquets binaires pour plusieurs architectures.

--first
    Indiquer la version minimale d'un paquet qui sera téléchargé. Toutes les versions supérieures à cette version, selon dpkg, seront envisagées pour le téléchargement. Peut être utilisé en combinaison avec --last.

--last
    Indiquer la version maximale d'un paquet qui sera téléchargé. Toutes les versions inférieures à cette version, selon dpkg, seront envisagées pour le téléchargement. Peut être utilisé en combinaison avec --first.

-h, --help
    Afficher un résumé des options.

--version
    Afficher la version de debsnap.

OPTIONS DE CONFIGURATION
debsnap peut aussi être configuré à l'aide des options suivantes des fichiers de configuration de devscripts :

DEBSNAP_VERBOSE
    Identique à l'option en ligne de commande --verbose. Lui attribuer la valeur yes pour activer l'option.

DEBSNAP_DESTDIR
    Définir un chemin par défaut pour le répertoire de destination. Si elle n'est pas définie, ./source-<nom_paquet> sera utilisé. L'option en ligne de commande --destdir remplacera cette valeur.

DEBSNAP_BASE_URL
    L'URL de base pour l'archive d'instantanés ("snapshots").

    Si elle n'est pas définie, la valeur par défaut est http://snapshot.debian.org

VALEURS DE RETOUR
debsnap renverra une valeur de retour de 0 si toutes les opérations ont fonctionné, de 1 si une erreur fatale a été rencontrée et de 2 si des paquets n'ont pas pu être téléchargés mais que les opérations ont toutefois réussi comme attendu. Dans certains cas, le téléchargement de paquets peut échouer parce qu'ils ne sont plus disponibles sur le miroir, donc vous devriez vous attendre à ce que ça arrive en temps normal.

EXEMPLES

debsnap -a amd64 xterm 256-1
    Télécharger une version particulière du paquet binaire xterm pour l'architecture amd64.

debsnap -a armel xterm
    Télécharger toutes les versions des paquets binaires xterm pour l'architecture armel.

debsnap --binary xterm 256-1
    Télécharger une version particulière des paquets binaires xterm pour toutes les architectures.

debsnap --binary xterm
    Télécharger toutes les versions des paquets binaires xterm pour toutes les architectures.

debsnap -v --first 347-1 --last 348-2 xterm
    Télécharge les paquets source pour l'architecture locale de xterm, entre les versions 347-1 et 348-2 comprises, et montre la progression.

aptitude search '~i' -F '%p %V' | while read pkg ver; do debsnap -a $(dpkg-architecture -qDEB_HOST_ARCH) -a all $pkg $ver; done
    Télécharger les paquets binaires de tous les paquets installés sur le système.

FICHIERS

/etc/devscripts.conf
    Options de configuration globales de devscripts. Elles remplaceront les valeurs par défaut codées en dur.

~/.devscripts
    Options de configuration de l'utilisateur. Elles remplaceront les valeurs des options de configuration globales.

VOIR AUSSI
devscripts(1), devscripts.conf(5), git-debimport(1)

AUTEURS
David Paleino <dapal@debian.org>

COPYRIGHT
Copyright © 2010 David Paleino

Il est permis de copier, distribuer et/ou modifier ce document selon les termes de la GNU General Public License, version 3 ou (si vous le souhaitez) toute version ultérieure publiée par la Free Software Foundation.

Sur les systèmes Debian, le texte complet de la GNU General Public License peut être trouvé dans /usr/share/common-licenses/GPL.

BOGUES

  Soumettre des rapports de bogue
Le programme fait partie du paquet devscripts. Veuillez soumettre les rapports de bogue en utilisant "reportbug devscripts"

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.